import request from '@/utils/request'

// 查询个人成绩录入管理列表
export function listTestItemScore(query) {
    return request({
        url: '/system/testItemScore/list',
        method: 'get',
        params: query
    })
}

// 查询测试项目
export function testItems(query) {
    return request({
        url: '/system/testItems/list',
        method: 'get',
        params: query
    })
}


// 查询班级信息列表
export function classInfo(query) {
    return request({
        url: '/system/classInfo/list',
        method: 'get',
        params: query
    })
}
//查询学生信息列表
export function studentInfo(query) {
    return request({
        url: 'system/studentInfo/list',
        method: 'get',
        params: query
    })
}


//查询成绩批次编号列表
export function testScoreBatch(query) {
    return request({
        url: 'system/testScoreBatch/list',
        method: 'get',
        params: query
    })
}

// 查询个人成绩录入管理详细
export function getTestItemScore(query) {
    return request({
        url: '/system/testItemScore/getInfo',
        method: 'get',
        params: query

    })
}

// 查询个人成绩
// export function getAllTestItemScoreInfo(id) {
//     return request({
//         url: 'system/testItemScore/getAllTestItemScoreInfo' + id,
//         method: 'get'
//     })
// }

// 新增个人成绩录入管理
export function addTestItemScore(data) {
    return request({
        url: '/system/testItemScore/add',
        method: 'post',
        data: data
    })
}

// 修改个人成绩录入管理
export function updateTestItemScore(data) {
    return request({
        url: '/system/testItemScore/edit',
        method: 'post',
        data: data
    })
}

// 删除个人成绩录入管理
export function delTestItemScore(studentId, batchCode) {
    return request({
        url: '/system/testItemScore/deleteItemScore?studentId=' + studentId + '&batchCode=' + batchCode,
        method: 'post',
    })
}
// 反显
export function getAllTestItemScoreInfo(query) {
    return request({
        url: '/system/testItemScore/getAllTestItemScoreInfo',
        method: 'get',
        params: query,
    })
}